[ubuntu-uk] Upgrade SAMBA

Rob Beard rob at esdelle.co.uk
Thu Jan 14 18:54:25 GMT 2010

Cornelius Mostert wrote:
> Hallo
> I have UBUNTU 8.10 installed and and SAMBA 3.2.3 and would like to 
> know how to upgrade SAMBA to lets say 3.3.7 (This is what is working 
> for Win 7: http://wiki.samba.org/index.php/Windows7)
> I have downloaded 3.3.7 from: http://samba.org/samba/ftp/old-versions/
> And from the Docs: 
> samba-3.3.7/docs/htmldocs/Samba3-HOWTO/compiling.html It state how to 
> install,
> YET I followed this and could ALL looked OK but after installing it 
> looks like I still have 3.2.3 installed using smbd -V command and 
> making use of Webmin it also look like I have 3.2.3 installed.
> By the way I extracted the 3.3.7 tar file to my home dir and ran all 
> the install commands from there...
> Could it be that 3.3.7 is installed BUT not running and if so COULD 
> 3.2.3 and 3.3.7 run side by side??
Is it not possible for you to upgrade your Ubuntu version to something a 
bit more recent?

It looks like 9.04 has Samba 3.3.2 and 9.10 has Samba 3.4.0.  I'd have 
thought that 3.2.3 and 3.3.7 wouldn't be able to run aside one another 
as surely both would be listening on the same port numbers and conflict?


More information about the ubuntu-uk mailing list